* This simple example shows some of the properties of the
* VistaDialogs4COM.TaskDialog object. This doesn't do much more than
* MESSAGEBOX() would, but it looks nicer.

#include VistaDialogs.H
local loTaskDialog

* Show a message box so we can compare to the task dialog.

messagebox('An unexpected error occurred: It appears as though your data ' + ;
	'is completely corrupted and useless.', 16, 'My Application')

* Instantiate the task dialog object and set some properties.

loTaskDialog = createobject('VistaDialogs4COM.TaskDialog')
with loTaskDialog
	.Caption         = 'My Application'
	.Instruction     = 'An unexpected error occurred.'
	.Content         = 'It appears as though your data is completely ' + ;
		'corrupted and useless.'
	.MainIcon        = TDERRORICON
	.StandardButtons = TDCLOSE

* Display the dialog.

	.Show()
endwith
