* Add a person and some phone numbers, 
* using views.

LOCAL iPersonID

SET MULTILOCKS ON

OPEN DATABASE People

USE v_Person IN 0 NODATA
USE v_Phone IN 0 NODATA 

CURSORSETPROP("Buffering", 5, "v_Person")
CURSORSETPROP("Buffering", 5, "v_Phone")

INSERT INTO v_Person (cFirst, cLast) VALUES ("John", "Smith")

INSERT INTO v_Phone (cPhone) VALUES ("215-555-1234")
INSERT INTO v_Phone (cPhone) VALUES ("800-555-9832")

BEGIN TRANSACTION
IF TABLEUPDATE(.f., .f., "v_Person")
	iPersonID = GETAUTOINCVALUE()
	REPLACE ALL iPersonID WITH m.iPersonID IN v_Phone
	IF TABLEUPDATE(.t., .f., "v_Phone")
		END TRANSACTION
	ELSE
		ROLLBACK
	ENDIF
ELSE
	ROLLBACK
ENDIF

RETURN
