* This example expands upon TaskDialogSimple1.PRG by adding more controls.

#include VistaDialogs.H
local loTaskDialog

* Instantiate the task dialog object and set some properties.

loTaskDialog = createobject('VistaDialogs4COM.TaskDialog')
with loTaskDialog
	.Caption              = 'My Application'
	.Instruction          = 'An unexpected error occurred.'
	.Content              = 'It appears as though your data is ' + ;
		'completely corrupted and useless.'
	.ExpandedText         = "I would recommend you restore from a backup, " + ;
		"but I know you don't have one. You'll have to re-enter everything."
	.ExpandedControlText  = 'Hide details'
	.CollapsedControlText = 'Show details'
	.MainIcon             = TDERRORICON
	.StandardButtons      = TDCLOSE
	.FooterText           = "Maybe next time you'll backup like you're supposed to."
	.FooterIcon           = TDINFORMATIONICON

* Custom buttons aren't supported yet. If they were, we could replace the Close
* button (setting StandardButtons to TDNONE) with something like:
*	loButton      = createobject('VistaDialogs4COM.TaskDialogButton')
*	loButton.Text = '&Send Report'
*	.CustomButtons.Add(loButton)
*	loButton      = createobject('VistaDialogs4COM.TaskDialogButton')
*	loButton.Text = "&Don't Send"
*	.CustomButtons.Add(loButton)

* Display the dialog.

	.Show()
endwith
